<div id="div_capture_externe">
    <h3 class="separateur_bottom"  style="padding-bottom:5px;">
        {{ 'Duplication de' | trad }} : {{ infoData.NOM_DONNEE??infoData.NOM_DATA }}
        <a class="secondaire button button_right" style="margin-top:-10px" onClick="retourSaisie();">{{ 'Retour' | trad }}</a>
        <a class="principal button button_right" style="margin-top:-10px" onClick="sendCapture('{{ path('ProjetAchat.ActionExecute.validateCaptureData', {typeObjet:typeObjet,idObjet:idObjet,idAction:idAction, idDonnee:idDonnee, idRecord:idRecord}) }}');">{{ 'Enregistrer' | trad }}</a>
    </h3>

    <div class="clearfix"></div>

    <div>
        <form action="" method="post" name="form_captureData" id="form_captureData">
        {% for data in datas %}
            {% set condition = (data.ID_DONNEE == idDonnee) %}
            {% if data.isMultiple is same as (0) %}
            {% else %}
                {% if condition %}
                    <h3 class="separateur_bottom" style="padding-bottom: 5px;">
                        {{ data.dataName }}
                    </h3>
                <table class="table table-sm tableExecute">
                    {% for test in listeData %}
                        <div class="colonne" {% if test.AFFICHEE | boolSql == false %}style="display:none;"{% endif %}>
                            <div class="row">
                                {% if test.TYPE_DATA != '' and test.TYPE_DATA | boolSql == false %}
                                    {{ inputAdvance(test.TYPE, {
                                        'titre' : test.NOM_DATA,
                                        'name' : 'ID_DATA_'~test.ID_DATA,
                                        'value' : test.VALEUR,
                                        'pathValidator' : test.pathValidator,
                                        'paramsValidator' : test.paramValidator,
                                        'DEVISE' : test.MNT_DEVISE,
                                        'option' : test.MODIFIABLE| boolSql == false? 'readOnly':'',
                                        'addClass' : (test.TYPE_DATA == 'N')? 'numerique':'',
                                        'addStyle' : (test.TYPE_DATA == 'T')? 'numerique':'',
                                    }) }}
                                {% elseif test.TYPE_DATA == 'F' %}
                                    <label style="" for="input_ID_DATA_{{ test.ID_DATA }}">{{ test.NOM_DATA }}</label>
                                    <input type="hidden" name="ID_DATA_{{ test.ID_DATA }}" id="input_ID_DATA_{{ test.ID_DATA }}" value="">
                                    <span id="label_ID_DATA_{{ test.ID_DATA }}" class="textValue">
            					<a href="{{ path('GlobalApplication.AjaxDocRattaches.downloadFichier', {NO_DA: 'DOA', id: idForDoc, ordre: test.VALEUR}) }}" target="_blank">{{ test.VALEUR_DOC }}</a>
            					{% if test.VALEUR_DOC %}<a class="ajouter bloquant" onclick="deleteFile('{{ test.ID_DATA }}', '{{ test.VALEUR }}');"></a>{% endif %}
							</span>
                                    {% if test.FIC_GENERE | boolSql %}
                                    <a class="download_blanc_v2 button_v2 white-tooltip" onClick="insertDocContratheque('{{ path('ProjetAchat.ActionExecute.ajaxDocContratheque', {typeObjet:typeObjet,idObjet:idObjet, idDonnee:idDonnee,idData:test.ID_DATA, idRecord:idRecord}) }}', '{{ test.ID_DATA }}');" style="position: relative;top: 5px;float:right;">
                					<span class="infos_tooltip left">
                						{{ 'Charger le document depuis la contrathèque' | trad }}
                                    </span>
                                    </a>
                                {% else %}
                                    <a class="download_blanc_v2 button_v2 white-tooltip" onClick="addFile('{{ path('GlobalApplication.CreationDocRattaches.ajoutDocAtt', {NO_DA: 'DOAAction', id: idForDoc, typeAccCadre:test.ID_DATA}) }}', '{{ 'Ajout document' | trad }}');" style="float:right;position: relative;top: 5px;">
                					<span class="infos_tooltip left">
                						{{ 'Ajouter un document' | trad }}
                                    </span>
                                    </a>
                                {% endif %}
                                {% elseif test.TYPE_DATA == '' %}
                                    {{ inputAdvance(test.TYPE, {
                                        'titre' : test.NOM_DATA,
                                        'name' : 'ID_DATA_'~test.ID_DATA,
                                        'value' : test.VALEUR,
                                        'entity' : test.Entity,
                                        'pahtZoom' : test.pathZoom,
                                        'paramZoom' : test.paramZoom,
                                        'titleZoom' : test.titleZoom,
                                        'pathValidator' : test.pathValidator,
                                        'paramsValidator' : test.paramValidator,
                                        'DEVISE' : test.MNT_DEVISE,
                                        'option' : test.MODIFIABLE| boolSql == false? 'readOnly':'',
                                        'myFuncValidator' : 'dataLinkObject',
                                        'paramFuncValidator' : '["'~path('ProjetAchat.ActionExecute.ajaxGetDataLinkObject', {typeObjet:typeObjet,idObjet:idObjet, idAction:idAction, idDonnee:idDonnee, idData:test.ID_DATA})~'", "'~test.ID_DATA~'"]',
                                        'iconeLabel' : (test.Entity == 'AoEntet' and (droit.HA_AO_CMV or HA_AO_ADM))? 'add-black.svg':'',
                                        'idIconeLabel' : (test.Entity == 'AoEntet' and (droit.HA_AO_CMV or HA_AO_ADM))? 'createEntity':'',
                                    }) }}

                                    {% if test.Entity == 'AoEntet' %}
                                    <script>
                                        $('#createEntity').append('<span class="infos_tooltip left">{{ 'Créer une consultation' | trad }}</span>');

                                        $('#createEntity').click(function(){
                                            activeLoader();
                                            $.ajax({
                                                url : '{{ path('ProjetAchat.ActionExecute.validateCaptureData', {typeObjet:typeObjet,idObjet:idObjet,idAction:idAction, idDonnee:idDonnee, idRecord:idRecord}) }}' ,
                                                type: 'POST',
                                                data: $('#form_captureData').serialize(),
                                                success: function(result){
                                                    var data = jQuery.parseJSON(result);
                                                    if(data.statut == 'O')
                                                    {
                                                        redirectJSWithPost('{{ path('Consultation.Consultation.creatEdit', {idAO:'noId', origine:'DOA', idOrigine:idObjet}) }}');
                                                    }
                                                    else
                                                    {
                                                        desactiveLoader();
                                                        $("#modal-content").addClass("modal_small");
                                                        $("#modal-body").html(data.content);
                                                        activePopup();
                                                    }
                                                }
                                            });
                                        });
                                    </script>
                                    <style>
                                        #createEntity img{
                                            width:15px;
                                            cursor:pointer;
                                        }
                                    </style>
                                {% endif %}

                                {% else %}
                                    {{ inputAdvance(test.TYPE, {
                                        'titre' : test.NOM_DATA,
                                        'name' : 'ID_DATA_'~test.ID_DATA,
                                        'value' : test.VALEUR,
                                        'pathValidator' : test.pathValidator,
                                        'paramsValidator' : test.paramValidator,
                                        'DEVISE' : test.MNT_DEVISE,
                                        'option' : test.MODIFIABLE| boolSql == false? 'readOnly':'',
                                    }) }}
                                {% endif %}
                            </div>
                        </div>
                    {% endfor %}
                </table>
                {% endif %}
            {% endif %}
        {% endfor %}
        </form>
    </div>

{#{{ var_dump(datas) }}#}
{#{{ var_dump(typeObjet) }}#}
{#{{ var_dump(idObjet) }}#}
{#{{ var_dump(idAction) }}#}
{#{{ var_dump(idDonnee) }}#}
{#{{ var_dump(idRecord) }}#}
{#{{ var_dump(listeData) }}#}
    <script type="text/javascript" src="{{ baseUrl('js/parametre.js') }}" id="parametreJS"></script>
    <script>

        $(function() {
            {{ tradDatePickers() }}
            $.datepicker.setDefaults($.datepicker.regional['fr']);
        });

        function retourSaisie()
        {
            if($('#onglet_DivModulable').is(':visible'))
            {
                triggerTab('divModulable');
            }
            else
            {
                triggerTab('data');
            }
        }

        function insertDocContratheque(path, idInput)
        {
            activeLoader();
            $.ajax({
                url : path ,
                type: 'POST',
                success: function (result) {
                    desactiveLoader();
                    var data = jQuery.parseJSON(result);
                    if(data.statut == 'O') {
                        $('#input_ID_DATA_'+idInput).val(JSON.stringify(data.arrayDoc));
                        $('#label_ID_DATA_'+idInput).html('<a href="{{ path('GlobalApplication.ChargeDocument.chargeDocument') }}EmplacementFichier/tmp/'+data.arrayDoc.new_name+'" target="_blank">'+data.arrayDoc.file_name+'</a>');
                    }
                    else {
                        desactiveLoader();
                        $("#modal-content").addClass("modal_small");
                        $("#modal-body").html(data.content);
                        activePopup();
                    }
                }
            });
        }

        function addFile(path, titre)
        {
            generateTab(path, titre, 'div_doc_external', 3)
        }

        function deleteFile(idInput, noOrdre)
        {
            var array = {'STATUT' : 'Delete', 'NO_ORDRE' : noOrdre};
            var myJsonString = JSON.stringify(array);

            $('#input_ID_DATA_'+idInput).val(myJsonString);
            $('#label_ID_DATA_'+idInput).html('');
        }

        function sendCapture(path)
        {
            activeLoader();
            $.ajax({
                url : path ,
                type: 'POST',
                data: $('#form_captureData').serialize(),
                success: function(result){
                    var data = jQuery.parseJSON(result);
                    if(data.statut == 'O')
                    {
                        if(data.action == 'redirect')
                        {
                            redirectJSWithPost(data.path, data.post);
                        }
                        else
                        {
                            refrechDiv('{{ path('ProjetAchat.ModeleProjet.details', {typeObjet:typeObjet, idObjet:idObjet}) }}', 'document', '','', "{'onglet' : 'document', 'id' : ''}");
                            if(data.idAction != 'noId')
                            {
                                generateTab(data.path, data.tabLibelle, 'div_execute_externe');
                            }
                            else
                            {
                                refrechDiv(data.path, 'refreshTableExecute');
                                triggerTab('data');
                            }
                        }
                    }
                    else
                    {
                        desactiveLoader();
                        $("#modal-content").addClass("modal_small");
                        $("#modal-body").html(data.content);
                        activePopup();
                    }
                }
            });
        }

        function dataLinkObject(path, idData)
        {
            $.ajax({
                url : path,
                type: 'POST',
                data: {value : $('#input_ID_DATA_'+idData).val(), codeSte : $('#input_CODE_STE_'+idData).val()},
                success: function (result) {
                    var data = jQuery.parseJSON(result);

                    $.each(data.listeValueObject, function( index, value ) {
                        $('#input_ID_DATA_'+value['ID_DATA']).val(value['VALUE']);
                    });
                }
            });
        }

        {% if fieldsCalculated %}
        $('.numerique').change(function(){
            $.ajax({
                url : '{{ path('ProjetAchat.ActionExecute.ajaxGetCalculatedData', {typeObjet:typeObjet, idObjet:idObjet, idDonnee:idDonnee}) }}',
                type: 'POST',
                data: $('#form_captureData').serialize(),
                success: function (result) {
                    var data = jQuery.parseJSON(result);

                    $.each(data.listeValueObject, function( index, value ) {
                        $('#input_ID_DATA_'+value['ID_DATA']).val(value['VALUE']);
                    });
                }
            });
        });
        {% endif %}
    </script>

</div>